Bug 1662607

Summary: kernel deadlocked in NFS4
Product: [Fedora] Fedora Reporter: Brian J. Murrell <brian>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 29CC: airlied, bskeggs, ewk, hdegoede, ichavero, itamar, jarodwilson, jglisse, john.j5live, jonathan, josef, kernel-maint, linville, mchehab, mjg59, steved
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-02-21 21:06:30 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
NFS4 blocked processes none

Description Brian J. Murrell 2018-12-30 21:18:15 UTC
Created attachment 1517534 [details]
NFS4 blocked processes

Had a full system deadlock on what looks like NFS4 on kernel-4.19.10-300.fc29.x86_64.

Find attached the stacktraces of all of the blocked processes.

This has happened a number of times over the last few days.

Comment 1 Brian J. Murrell 2018-12-30 22:16:11 UTC
Probably related, but near the same time, on the EL7.5 server running 3.10.0-862.14.4.el7.x86_64 I got a rash of these:

15:06:23 kernel RPC request reserved 84 but used 268
15:06:23 kernel RPC request reserved 84 but used 268
15:06:24 kernel RPC request reserved 84 but used 268
15:06:27 kernel RPC request reserved 84 but used 268
15:06:30 kernel RPC request reserved 84 but used 268
15:06:33 kernel RPC request reserved 84 but used 268
15:06:36 kernel RPC request reserved 84 but used 268
15:06:36 kernel RPC request reserved 84 but used 268
15:06:40 kernel RPC request reserved 84 but used 268
15:06:43 kernel RPC request reserved 84 but used 268
15:06:46 kernel RPC request reserved 84 but used 268
15:06:46 kernel RPC request reserved 84 but used 268
15:06:46 kernel RPC request reserved 84 but used 268
15:06:46 kernel RPC request reserved 84 but used 268
15:06:46 kernel RPC request reserved 84 but used 268

Comment 2 Justin M. Forbes 2019-01-29 16:14:09 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.

Fedora 29 has now been rebased to 4.20.5-200.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2019-02-21 21:06:30 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.